Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
dsa.cpp File Reference
`#include <botan/dsa.h>`
`#include <botan/keypair.h>`
`#include <botan/pow_mod.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/pk_ops_impl.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

std::string m_emsa

Definition at line 100 of file dsa.cpp.

Referenced by Botan::PK_Ops::Verification_with_EMSA::is_valid_signature(), Botan::PK_Ops::Signature_with_EMSA::sign(), Botan::PK_Ops::Verification_with_EMSA::update(), and Botan::PK_Ops::Signature_with_EMSA::update().

Modular_Reducer m_mod_p

Definition at line 164 of file dsa.cpp.

Modular_Reducer m_mod_q

Definition at line 99 of file dsa.cpp.

Fixed_Base_Power_Mod m_powermod_g_p

Definition at line 98 of file dsa.cpp.

Fixed_Base_Power_Mod m_powermod_y_p

Definition at line 163 of file dsa.cpp.

const BigInt& m_q

Definition at line 96 of file dsa.cpp.

Referenced by Botan::RSA_PrivateKey::get_q().

const BigInt& m_x

Definition at line 97 of file dsa.cpp.

Referenced by Botan::DL_Scheme_PrivateKey::get_x().

const BigInt& m_y

Definition at line 161 of file dsa.cpp.

Referenced by Botan::DL_Scheme_PublicKey::get_y().